org.apache.flume.sink.hbase

## Class SimpleRowKeyGenerator

- java.lang.Object
- - org.apache.flume.sink.hbase.SimpleRowKeyGenerator

-     public class SimpleRowKeyGenerator
      extends Object

  Utility class for users to generate their own keys. Any key can be used, this is just a utility that provides a set of simple keys.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleRowKeyGenerator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `getNanoTimestampKey(String prefix)`
    `static byte[]` | `getRandomKey(String prefix)`
    `static byte[]` | `getTimestampKey(String prefix)`
    `static byte[]` | `getUUIDKey(String prefix)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleRowKeyGenerator

          public SimpleRowKeyGenerator()

  - ### Method Detail

    - #### getUUIDKey

          public static byte[] getUUIDKey(String prefix)
                                   throws UnsupportedEncodingException

      Throws:
        `UnsupportedEncodingException`

    - #### getRandomKey

          public static byte[] getRandomKey(String prefix)
                                     throws UnsupportedEncodingException

      Throws:
        `UnsupportedEncodingException`

    - #### getTimestampKey

          public static byte[] getTimestampKey(String prefix)
                                        throws UnsupportedEncodingException

      Throws:
        `UnsupportedEncodingException`

    - #### getNanoTimestampKey

          public static byte[] getNanoTimestampKey(String prefix)
                                            throws UnsupportedEncodingException

      Throws:
        `UnsupportedEncodingException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.